// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.connect.replicator.util;

import org.apache.kafka.common.PartitionInfo;

import java.util.List;

public class TopicMetadata {

  private final String topic;
  private final List<PartitionInfo> partitions;

  public TopicMetadata(String topic, List<PartitionInfo> partitions) {
    this.topic = topic;
    this.partitions = partitions;
  }

  public String topic() {
    return topic;
  }

  public int numPartitions() {
    return partitions.size();
  }

  public int replicationFactor() {
    // we assume that all partitions have the same number of replicas
    return partitions.iterator().next().replicas().length;
  }

}
