// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.connect.replicator.util;

import org.apache.kafka.connect.errors.ConnectException;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class UtilsTest {

  @Test
  public void testSimpleRename() {
    assertEquals("dc.foo", Utils.renameTopic("dc.${topic}", "foo"));
  }

  @Test(expected = ConnectException.class)
  public void testIllegalRename() {
    Utils.renameTopic("dc_$${topic}", "topic");
  }

  @Test
  public void testNextDeadline() {
    assertEquals(5L, Utils.nextDeadline(5L, null));
    assertEquals(5L, Utils.nextDeadline(null, 5L));
    assertEquals(1L, Utils.nextDeadline(1L, 5L));
    assertEquals(1L, Utils.nextDeadline(5L, 1L));
    assertEquals(Long.MAX_VALUE, Utils.nextDeadline(null, null));
  }

}
